@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@400;700&display=swap');

* {
  font-family: 'Ubuntu', sans-serif;
}

html, body {
  height: 100%;
  width: 100%;
  overflow-x: hidden;
}

.layout {
  display: grid;
  min-height: 100vh;
  grid-template-columns: 1fr;
}

@media (min-width: 1024px) {
  .layout {
    grid-template-columns: 19rem 1fr;
  }
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
  z-index: 30;
  cursor: pointer;
}

.drawer-toggle:checked ~ .layout .overlay {
  opacity: 1;
  visibility: visible;
}

@media (min-width: 1024px) {
  .overlay {
    display: none;
  }
}

.bg-color {
  background-color: #1A103E;
}

.bg-altern-color {
  background-color: #160E36;
}

.side-bar {
  pointer-events: auto;
  visibility: visible;
  position: fixed;
  display: block;
  width: 19rem;
  overscroll-behavior: auto;
  top: 0;
  left: 0;
  height: 100vh;
  scrollbar-width: none;
  transform: translateX(-100%);
  transition: transform 0.3s ease-in-out;
  z-index: 40;
}

.side-bar aside {
  position: sticky;
  top: 0;
  height: 100vh;
  overflow-y: auto;
}

.drawer-toggle:checked ~ .layout .side-bar {
  transform: translateX(0);
}

@media (min-width: 1024px) {
  .side-bar {
    position: sticky;
    transform: translateX(0);
  }
}

.main-content {
  min-height: 100vh;
  width: 100%;
}

.mask {
  mask-repeat: no-repeat;
  mask-size: contain;
  mask-position: center;
}

.mask-circle {
  -webkit-mask-image: url("data:image/svg+xml,%3csvg width='200' height='200' xmlns='http://www.w3.org/2000/svg'%3e%3ccircle fill='black' cx='100' cy='100' r='100' fill-rule='evenodd'/%3e%3c/svg%3e");
  mask-image: url("data:image/svg+xml,%3csvg width='200' height='200' xmlns='http://www.w3.org/2000/svg'%3e%3ccircle fill='black' cx='100' cy='100' r='100' fill-rule='evenodd'/%3e%3c/svg%3e");
}

.menu {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  font-size: .875rem;
  line-height: 1.25rem;
  padding: .5rem;
}

.btn {
  display: inline-flex;
  height: 3rem;
  min-height: 3rem;
  cursor: pointer;
  user-select: none;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  border-radius: var(--rounded-btn, .5rem);
  padding-left: 1rem;
  padding-right: 1rem;
  text-align: center;
  font-size: .875rem;
  line-height: 1em;
  gap: .5rem;
  font-weight: 600;
  text-decoration-line: none;
  transition-duration: .2s;
  transition-timing-function: cubic-bezier(0, 0, .2, 1);
  border-width: var(--border-btn, 1px);
  animation: button-pop var(--animation-btn, .25s) ease-out;
  transition-property: color, background-color, border-color, opacity, box-shadow, transform;

  &:hover {
    background-color: #fff;
    color: #1A103E;
  }
}

.btn-outline {
  border-color: currentColor;
  background-color: transparent;
  color: #fff;
}

.btn-rounded {
  border-radius: 1.5rem;
}

.btn-square {
  width: 3rem;
  height: 3rem;
  padding: 0;
}

.btn-ghost {
  border-width: 1px;
  border-color: transparent;
  background-color: transparent;
  color: currentColor;
  outline-color: currentColor;
}

.badge {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  height: 1.25rem;
  font-size: .875rem;
  line-height: 1.25rem;
  width: fit-content;
  padding-left: .563rem;
  padding-right: .563rem;
  border-radius: var(--rounded-badge, 1.9rem);
  border-width: 1px;
}

.badge-secondary {
  border-color: #57C8F4;
  background-color: #57C8F4;
  color: #1A103E;
}

.hero-content {
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 80rem;
  gap: 1rem;
  padding: 1rem;
}

.divider {
  display: flex;
  flex-direction: row;
  align-items: center;
  align-self: stretch;
  height: 0.1rem;
  white-space: nowrap;
  border: 1px solid #fff;
  margin: 1rem 0;
  padding: 0;
  background-color: #fff;
  opacity: 0.1;
}

.footer {
  display: grid;
  width: 100%;
  grid-auto-flow: row;
  column-gap: 1rem;
  font-size: .875rem;
  line-height: 1.25rem;
}

.footer-center {
  place-items: center;
  text-align: center;
}

.navbar {
  display: flex;
  align-items: center;
  padding: var(--navbar-padding, .5rem);
  min-height: 4rem;
  width: 100%;
}

.nabvbar-start {
  width: 50%;
  justify-content: flex-start;
}

.navbar-center {
  flex-shrink: 0;
}

.navbar-end {
  width: 50%;
  justify-content: flex-end;
}
